Subject: 24.4.50; Unknown button type 'help-xref' when do C-x C-s in shell mode

From: n179911 <[email-masked]>
Date: Fri, 23 May 2014 14:30:47 -0700

I download emacs source from git and compile on Ubuntu 12.04.
When I do
1. M-x shell
2. do some shell comment
3. Save the shell to a file
4. C-x C-s
5. I get this error saying 'Unknown button type 'help-xref'

In GNU Emacs 24.4.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
of 2014-05-23 on lbrmn-lnxub57
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
System Description: Ubuntu 12.04.1 LTS

Configured using:
`configure --prefix=/home/cheungs/bin'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GCONF GSETTINGS NOTIFY GNUTLS
LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB

Important settings:
value of $LANG: en_CA.UTF-8
locale-coding-system: utf-8-unix

Major mode: Shell

Minor modes in effect:
shell-dirtrack-mode: t
tooltip-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Recent input:
<down-mouse-1> <mouse-1> <escape> x s h e <tab> <return>
a d b SPC l o g c a t <return> C-x C-w C-a C-e a .
t x t <return> <escape> x r e p o <tab> r <tab> <r
eturn>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Saving file /home/cheungs/a.txt...
make-text-button: Unknown button type `help-xref'
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util help-fns mail-prsvr mail-utils shell pcomplete comint
ansi-color ring time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 108026 7481)
(symbols 48 18258 0)
(miscs 40 152 211)
(strings 32 16622 5729)
(string-bytes 1 361452)
(vectors 16 15481)
(vector-slots 8 1048688 189547)
(floats 8 69 114)
(intervals 56 5189 1)
(buffers 960 14)
(heap 1024 54237 752))